import numpy
import pandas as pd
import math
from Calc import InitCalc

"""
                   Principal Factor Analysis

"""

#
#       Excelデータファイルの読み込み
#
s = input("Input Excel data file (*.xlsx) = ")
xlsx_fl = pd.ExcelFile(s)
data_xlsx = pd.read_excel(xlsx_fl,  header = None)
data = data_xlsx.values

#
#       計算結果出力用テキストファイル
#
s_out = input("Output text data file (*.txt) = ")
f_out = open(s_out, "w")
f_out.write("Input data file = " + s + "\n")
#
#       信頼性係数の計算
#
calc_init_fa = InitCalc(data, f_out)
calc_init_fa.calc_fa()

f_out.close()
print()
print(s_out + " was saved.\n")


